Package org.eclipse.rdf4j.shacl.manifest

## Class AbstractSHACLTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.eclipse.rdf4j.shacl.manifest.AbstractSHACLTest

- All Implemented Interfaces:
    `junit.framework.Test`

      @Deprecated
      public abstract class AbstractSHACLTest
      extends junit.framework.TestCase

  Deprecated.
  This test suite is not maintained. Use {@see org.eclipse.rdf4j.sail.shacl.W3cComplianceTest} instead. We may un-deprecate this suite in the future.
  A SHACL constraint test suite, created by reading in a W3C working-group style manifest.
  Author:
    James Leigh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `conforms` | Deprecated.
    `protected Model` | `dataGraph` | Deprecated.
    `protected Repository` | `dataRep` | Deprecated.
    `protected boolean` | `failure` | Deprecated.
    `protected org.slf4j.Logger` | `logger` | Deprecated.
    `protected Model` | `shapesGraph` | Deprecated.
    `protected String` | `testURI` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractSHACLTest​(String testURI, String label, Model shapesGraph, Model dataGraph, boolean failure, boolean conforms)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Repository` | `createRepository​(Model shapesGraph)` | Deprecated.
    `protected abstract Sail` | `newSail()` | Deprecated. Creates a new un-initialized Sail stack
    `void` | `runTest()` | Deprecated.
    `void` | `setUp()` | Deprecated.
    `void` | `tearDown()` | Deprecated.
    `protected void` | `upload​(Repository rep, Model dataGraph)` | Deprecated.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final org.slf4j.Logger logger

      Deprecated.

    - #### testURI

          protected final String testURI

      Deprecated.

    - #### shapesGraph

          protected final Model shapesGraph

      Deprecated.

    - #### dataGraph

          protected final Model dataGraph

      Deprecated.

    - #### failure

          protected final boolean failure

      Deprecated.

    - #### conforms

          protected final boolean conforms

      Deprecated.

    - #### dataRep

          protected Repository dataRep

      Deprecated.

  - ### Constructor Detail

    - #### AbstractSHACLTest

          public AbstractSHACLTest​(String testURI,
                                   String label,
                                   Model shapesGraph,
                                   Model dataGraph,
                                   boolean failure,
                                   boolean conforms)

      Deprecated.

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws Exception

      Deprecated.
      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository​(Model shapesGraph)
                                         throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### newSail

          protected abstract Sail newSail()

      Deprecated.
      Creates a new un-initialized Sail stack
      Returns:
        a new un-initialized Sail stack

    - #### tearDown

          public void tearDown()
                        throws Exception

      Deprecated.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### runTest

          public void runTest()
                       throws Exception

      Deprecated.
      Overrides:
        `runTest` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### upload

          protected void upload​(Repository rep,
                                Model dataGraph)

      Deprecated.